package com.td.Dawa.game.comusers.service;

import com.td.Dawa.common.service.*;
import com.td.Dawa.game.comusers.pojo.ComUsers;
import com.td.Dawa.game.comusers.vo.ComUsersVo;

public interface ComUsersService extends CommonService<ComUsersVo, ComUsers, String> {

    /**
     * 获取游戏用户信息
     * @param userId
     * @return
     */
    ComUsersVo findByUserId(String userId);


    ComUsersVo findByAddress(String address);

    /**
     * 全部注册数量
     * @return
     */
    Long findAllCount();
    /**
     * 今日新增
     * @return
     */
    Long newToday();

    void consumesGoldFromGetRole(String userId);

    ComUsersVo addGold(String userId,Integer gold);
}
